> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get flow



## OpenAPI

````yaml api-reference/agents/openapi.json GET /v1/agents/{agentId}/branches/{branchId}/flows/{flowId}
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/branches/{branchId}/flows/{flowId}:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: branchId
        in: path
        required: true
        schema:
          type: string
      - name: flowId
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Flows
      summary: Get flow
      responses:
        '200':
          description: Flow details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateFlowPublicResponse'
        '404':
          description: Flow not found
components:
  schemas:
    CreateFlowPublicResponse:
      title: CreateFlowPublicResponse
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        startStepId:
          type: string
        steps:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
                enum:
                  - default_step
                  - advanced_step
                  - function_step
              name:
                type: string
              prompt:
                type: string
              position:
                type: object
                properties:
                  x:
                    type: number
                  'y':
                    type: number
                required:
                  - x
                  - 'y'
                additionalProperties: false
              conditions:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    type:
                      type: string
                      enum:
                        - exitFlowCondition
                        - noCodeStepCondition
                        - stepCondition
                        - functionStepCondition
                    label:
                      type: string
                    description:
                      type: string
                    childStepId:
                      type: string
                    requiredEntities:
                      type: array
                      items:
                        type: string
                  required:
                    - id
                    - type
                    - label
                  additionalProperties: false
              references:
                type: object
                properties:
                  entities:
                    type: object
                    additionalProperties:
                      type: boolean
                  attributes:
                    type: object
                    additionalProperties:
                      type: boolean
                  variables:
                    type: object
                    additionalProperties:
                      type: boolean
                  extractedEntities:
                    type: object
                    additionalProperties:
                      type: boolean
                  transitionFunctions:
                    type: object
                    additionalProperties:
                      type: boolean
                  globalFunctions:
                    type: object
                    additionalProperties:
                      type: boolean
                  sms:
                    type: object
                    additionalProperties:
                      type: boolean
                  handoff:
                    type: object
                    additionalProperties:
                      type: boolean
                additionalProperties: false
              function:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  code:
                    type: string
                  latencyControl:
                    type: object
                    properties:
                      enabled:
                        type: boolean
                      randomize:
                        type: boolean
                      initialDelay:
                        type: number
                      interval:
                        type: number
                    required:
                      - enabled
                    additionalProperties: false
                required:
                  - id
                  - name
                  - code
                additionalProperties: false
            required:
              - id
              - type
              - name
            additionalProperties: false
        transitionFunctions:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              code:
                type: string
              description:
                type: string
              parameters:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    type:
                      type: string
                    description:
                      type: string
                  required:
                    - id
                    - name
                    - type
                  additionalProperties: false
              references:
                type: object
                properties:
                  flowSteps:
                    type: object
                    additionalProperties:
                      type: boolean
                  variables:
                    type: object
                    additionalProperties:
                      type: boolean
                additionalProperties: false
            required:
              - id
              - name
              - code
            additionalProperties: false
      required:
        - id
        - name
        - description
        - startStepId
        - steps
        - transitionFunctions
      additionalProperties: false
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````